Summary: Kernel oops and error message decoder
Name: ksymoops
Version: 2.4.5
Release: 1
Copyright: GPL
Group: System Environment/Kernel
Source: ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/ksymoops-%{version}.tar.bz2
Patch1: ksymoops-2.4.0-redhat.patch
ExclusiveOS: Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging.  ksymoops reads machine
specific files and the error log and converts the addresses to
meaningful symbols and offsets.

%prep
%setup
%patch1 -p1
%build
CFLAGS="$RPM_OPT_FLAGS" make all

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALL_MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
     install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root)/usr/bin/ksymoops
%attr(644,root,root)%{_mandir}/man8/ksymoops.8*
%attr(-,root,root) %doc COPYING README INSTALL Changelog

%changelog
* Mon Jun 24 2002 Bill Nottingham <notting@redhat.com> - 2.4.5-1
- update to 2.4.5

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Mar  2 2002 Bill Nottingham <notting@redhat.com> 2.4.4-1
- update to 2.4.4

* Thu Feb 21 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Thu Jan 24 2002 Bill Nottingham <notting@redhat.com> 2.4.3-2
- don't obsolete kernel-utils (#58540)

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Sep 25 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.3

* Tue Apr 24 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.1

* Fri Feb 16 2001 Bill Nottingham <notting@redhat.com>
- tweak defaults (#27650)
- fix the dates in the RPM changelog

* Wed Jan 17 2001 Bill Nottingham <notting@redhat.com>
- tweak version

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- package this separately from the kernel, hack up included spec file
